%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  robust2sls
%global packver   0.2.2
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.2.2
Release:          1%{?dist}%{?buildtag}
Summary:          Outlier Robust Two-Stage Least Squares Inference and Testing

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildArch:        noarch
BuildRequires:    R-CRAN-exactci 
BuildRequires:    R-CRAN-foreach 
BuildRequires:    R-CRAN-ivreg 
BuildRequires:    R-CRAN-MASS 
BuildRequires:    R-CRAN-mathjaxr 
BuildRequires:    R-CRAN-pracma 
BuildRequires:    R-stats 
Requires:         R-CRAN-exactci 
Requires:         R-CRAN-foreach 
Requires:         R-CRAN-ivreg 
Requires:         R-CRAN-MASS 
Requires:         R-CRAN-mathjaxr 
Requires:         R-CRAN-pracma 
Requires:         R-stats 

%description
An implementation of easy tools for outlier robust inference in two-stage
least squares (2SLS) models. The user specifies a reference distribution
against which observations are classified as outliers or not. After
removing the outliers, adjusted standard errors are automatically
provided. Furthermore, several statistical tests for the false outlier
detection rate can be calculated. The outlier removing algorithm can be
iterated a fixed number of times or until the procedure converges. The
algorithms and robust inference are described in more detail in Jiao
(2019)
<https://drive.google.com/file/d/1qPxDJnLlzLqdk94X9wwVASptf1MPpI2w/view>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
